%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%global debug_package %{nil}

Name:            goaljobs
Version:         0.1
Release:         1%{?dist}
Summary:         Make & cron replacement and business rules manager.
License:         GPLv2+

URL:             http://people.redhat.com/~rjones/goaljobs
Source0:         http://people.redhat.com/~rjones/goaljobs/files/%{name}-%{version}.tar.gz

BuildRequires:   ocaml >= 3.12.0
BuildRequires:   ocaml-ocamldoc
BuildRequires:   ocaml-camlp4-devel
BuildRequires:   ocaml-findlib-devel
BuildRequires:   ocaml-calendar-devel

# For building manual pages.
BuildRequires:   perl-podlators

# Requires camlp4 and ocamlfind and libraries at runtime.
Requires:        /usr/bin/ocamlc
Requires:        ocaml-camlp4-devel
Requires:        ocaml-findlib-devel
Requires:        ocaml-calendar-devel

Requires:        curl

%description
Goaljobs is make & cron replacement and business rules manager.

It can be used in many situations where you want a more powerful
'make' or a more powerful 'cron', especially where you have
dependencies on network resources.

This is also an enhancement and replacement for the 'whenjobs'
package.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%check
make check


%install
make DESTDIR=$RPM_BUILD_ROOT install

%if %opt
# Remove bytecode library.
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/goaljobs/goaljobs.cma
%endif

# Move the installed documentation out of the way.  It will
# be installed using %doc below.
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}


%files
%doc COPYING README TODO
%doc html/*.html html/*.css
%{_bindir}/goaljobs
%dir %{_libdir}/ocaml/goaljobs
%{_libdir}/ocaml/goaljobs/META
%{_libdir}/ocaml/goaljobs/*.mli
%{_libdir}/ocaml/goaljobs/*.cmi
%{_libdir}/ocaml/goaljobs/pa_goal.cmo
%if %opt
%{_libdir}/ocaml/goaljobs/goaljobs.cmxa
%else
%{_libdir}/ocaml/goaljobs/goaljobs.cma
%endif
%{_mandir}/man1/*.1*


%changelog
* Mon Sep 16 2013 Richard W.M. Jones <rjones@redhat.com> - 0.1-1
- Initial release.
